2019-10-16 14:25 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001727FSSCPuser interfacepublic2008-09-13 10:41
Reporterblowfish 
Assigned Totaylor 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001727: Crash in window mode on OSX
DescriptionIn trunk builds, the game will crash to the desktop after the pilot select screen in Mac OS X in window mode. It happens as soon as you hit the select button.

Note that this issue does not exist in XT builds.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009442

taylor (administrator)

Got a backtrace or crashlog or anything?

~0009483

blowfish (reporter)

Yes.

-------------------

Identifier: FS2_Open
Version: FreeSpace 2 Open version 3.6.10 (3.6.10-trunk)
Code Type: X86 (Native)
Parent Process: launchd [122]

Date/Time: 2008-07-17 12:29:04.139 -0700
OS Version: Mac OS X 10.5.4 (9E17)
Report Version: 6

Exception Type: EXC_ARITHMETIC (SIGFPE)
Exception Codes: EXC_I386_DIV (divide by zero)
Crashed Thread: 0

Thread 0 Crashed:
0 SDL 0x3001c03c SDL_WarpMouse + 69
1 FS2_Open 0x00163627 barracks_buttons::barracks_buttons(char*, int, int, int, int, int, int) + 24567
2 FS2_Open 0x000bfd94 std::vector<color, std::allocator<color> >::_M_insert_aux(__gnu_cxx::__normal_iterator<color*, std::vector<color, std::allocator<color> > >, color const&) + 20420
3 FS2_Open 0x0000cf8f 0x1000 + 49039
4 FS2_Open 0x000bfe45 std::vector<color, std::allocator<color> >::_M_insert_aux(__gnu_cxx::__normal_iterator<color*, std::vector<color, std::allocator<color> > >, color const&) + 20597
5 FS2_Open 0x0000ae0a 0x1000 + 40458
6 FS2_Open 0x0000aefe 0x1000 + 40702
7 FS2_Open 0x00003a0b 0x1000 + 10763
8 com.apple.Foundation 0x91bbd64c _nsnote_callback + 364
9 com.apple.CoreFoundation 0x90cbaaba __CFXNotificationPost + 362
10 com.apple.CoreFoundation 0x90cbad93 _CFXNotificationPostNotification + 179
11 com.apple.Foundation 0x91bba7b0 -[NSNotificationCenter postNotificationName:object:userInfo:] + 128
12 com.apple.Foundation 0x91bc3ff8 -[NSNotificationCenter postNotificationName:object:] + 56
13 com.apple.AppKit 0x96bbcb7a -[NSApplication _postDidFinishNotification] + 125
14 com.apple.AppKit 0x96bbca89 -[NSApplication _sendFinishLaunchingNotification] + 77
15 com.apple.AppKit 0x96b3662f -[NSApplication(NSAppleEventHandling) _handleAEOpen:] + 284
16 com.apple.AppKit 0x96b35e28 -[NSApplication(NSAppleEventHandling) _handleCoreEvent:withReplyEvent:] + 98
17 com.apple.Foundation 0x91be2b6f -[NSAppleEventManager dispatchRawAppleEvent:withRawReply:handlerRefCon:] + 655
18 com.apple.Foundation 0x91be287f _NSAppleEventManagerGenericHandler + 223
19 com.apple.AE 0x9112c648 aeDispatchAppleEvent(AEDesc const*, AEDesc*, unsigned long, unsigned char*) + 144
20 com.apple.AE 0x9112c57e dispatchEventAndSendReply(AEDesc const*, AEDesc*) + 44
21 com.apple.AE 0x9112c425 aeProcessAppleEvent + 177
22 com.apple.HIToolbox 0x9563c47d AEProcessAppleEvent + 38
23 com.apple.AppKit 0x96b33719 _DPSNextEvent + 1189
24 com.apple.AppKit 0x96b32db8 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 128
25 com.apple.AppKit 0x96b2bdf3 -[NSApplication run] + 795
26 FS2_Open 0x0000399c 0x1000 + 10652
27 FS2_Open 0x00003d46 0x1000 + 11590
28 FS2_Open 0x00002ed2 0x1000 + 7890
29 FS2_Open 0x00002df9 0x1000 + 7673

~0009484

taylor (administrator)

Please post the graphics init portion of your fs2_open.log file as well.

~0009485

blowfish (reporter)

Where would I find fs2_open.log?

~0009486

taylor (administrator)

~/Library/FS2_Open/data/fs2_open.log

~0009487

blowfish (reporter)

OK

-----

GR_CPU: Family 0, MMX=No
Initializing OpenGL graphics device at 1440x900 with 32-bit color...
  Initializing SDL...
  Requested SDL Video values = R: 8, G: 8, B: 8, depth: 24, double-buffer: 1
  Actual SDL Video values = R: 8, G: 8, B: 8, depth: 24, double-buffer: 1
  OpenGL Vendor : NVIDIA Corporation
  OpenGL Renderer : NVIDIA GeForce 8600M GT OpenGL Engine
  OpenGL Version : 2.0 NVIDIA-1.5.28

  Using extension "GL_EXT_fog_coord".
  Using extension "GL_ARB_multitexture".
  Using extension "GL_ARB_texture_env_add".
  Using extension "GL_ARB_texture_compression".
  Using extension "GL_EXT_texture_compression_s3tc".
  Using extension "GL_EXT_texture_filter_anisotropic".
  Using extension "GL_ARB_texture_env_combine".
  Using extension "GL_EXT_compiled_vertex_array".
  Using extension "GL_EXT_draw_range_elements".
  Using extension "GL_ARB_texture_mirrored_repeat".
  Using extension "GL_ARB_texture_non_power_of_two".
  Using extension "GL_ARB_vertex_buffer_object".
  Using extension "GL_ARB_pixel_buffer_object".
  Using extension "GL_SGIS_generate_mipmap".
  Using extension "GL_EXT_framebuffer_object".
  Using extension "GL_ARB_texture_rectangle".
  Using extension "GL_EXT_bgra".
  Using extension "GL_ARB_texture_cube_map".
  Using extension "GL_EXT_texture_lod_bias".
  Using extension "GL_ARB_point_sprite".

  Max texture units: 4
  Max elements vertices: 2048
  Max elements indices: 150000
  Max texture size: 8192x8192
  Can use compressed textures: YES
  Texture compression available: YES
  Using trilinear texture filter.
... OpenGL init is complete!

~0009493

taylor (administrator)

I'm looking into and SDL fix for this. I may post some things for you to test with, if I can't replicate this on my side (haven't tried yet), and then release a new SDL framework with the fix.

~0009621

blowfish (reporter)

Replacing SDL.framework with the latest from the SDL website appears to fix the problem.

~0009665

taylor (administrator)

Fixed in SVN, so future builds should work fine.
+Notes

-Issue History
Date Modified Username Field Change
2008-07-16 23:37 blowfish New Issue
2008-07-17 01:36 taylor Note Added: 0009442
2008-07-17 15:30 blowfish Note Added: 0009483
2008-07-17 19:38 taylor Status new => assigned
2008-07-17 19:38 taylor Assigned To => taylor
2008-07-17 22:10 taylor Note Added: 0009484
2008-07-18 00:50 blowfish Note Added: 0009485
2008-07-18 10:27 taylor Note Added: 0009486
2008-07-18 13:19 blowfish Note Added: 0009487
2008-07-22 11:47 taylor Note Added: 0009493
2008-08-29 20:39 blowfish Note Added: 0009621
2008-09-13 10:41 taylor Status assigned => resolved
2008-09-13 10:41 taylor Fixed in Version => 3.6.10
2008-09-13 10:41 taylor Resolution open => fixed
2008-09-13 10:41 taylor Note Added: 0009665
+Issue History